Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class Pair

    java.lang.Object
      grails.util.Pair

    public class Pair
    extends java.lang.Object

Constructor Summary
`Pair(A aValue, B bValue)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`A` | `getaValue()`
`B` | `getbValue()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Pair

    public Pair(A aValue, B bValue)

Method Detail

### equals

    @java.lang.Override
    public boolean equals(java.lang.Object obj)

### getaValue

    public A getaValue()

### getbValue

    public B getbValue()

### hashCode

    @java.lang.Override
    public int hashCode()

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation